more on-wiki alerts about breaking API changes (https-only, continue)
Closed, ResolvedPublic

Description

The change to https broke a couple of bots,
the change to continue behavior due 30 June to 2 July will break more.

I think these API changes should be communicated on MediaWiki main page, API main page, and probably other channels I'm unaware of.

Spage updated the task description. (Show Details)
Spage raised the priority of this task from to Needs Triage.
Spage added a project: ECT-June-2015.
Spage moved this task to Ready to Go on the ECT-June-2015 board.
Spage added subscribers: Spage, Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 7:30 PM

References:

Regarding communication, just pointing out that the Pywikibot compat deprecation announcement by the Pywikibot team kind of mentioned the API "continue" breakage already by "your bot will most likely break.".

Examples:

Probably the list of "important" would welcome an update so I've asked for that on wikitech-l and also asked whether *gadget* maintainers have been contacted (as Sitic on de.wp came up with a query for such gadgets).

(as per conversation with @Spage in meeting:) It was mentioned in Tech News w24 and I've added it to get mentioned again in w27.

Aklapper triaged this task as High priority.Jun 23 2015, 5:45 PM

I think @Elitre is working on the communication of this API break?

This change was announced for months in appropriate venues like mailing lists and Tech News. Despite this, some liaisons decided to spread the word even further on wiki. Wikis which received any kind of notification or are known to be aware of the change are (in some cases, in the wiki's language):
#en.wp
#de.wp
#nl.wp
#fr.wp
#ru .wp
#it.wp
#es.wp
#vi.wp
#pl.wp
#ja.wp
#pt.wp
#zh.wp
#ca.wp
#he.wp
#uk.wp
We don't plan further on-wiki announcements for this change.

Aklapper closed this task as Resolved.Jun 29 2015, 1:24 PM
Aklapper claimed this task.

@Elitre: Thanks for sharing that list. Highly appreciated!

So I'm going to close this task as resolved. @Spage: If your missing specific steps to communicate those changes more widely, please reopen and elaborate.

Thanks everybody!